%define upstream_name    GPS-Babel
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl interface to gpsbabel
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Which)
BuildRequires: perl(Geo::Gpx) >= 0.150.0
BuildRequires: perl(Test::More)
BuildArch:  noarch
Requires: gpsbabel

%description
From the http://gpsbabel.org/ manpage:

    GPSBabel converts waypoints, tracks, and routes from one format to
    another, whether that format is a common mapping format like
    Delorme, Streets and Trips, or even a serial upload or download to a
    GPS unit such as those from Garmin and Magellan. By flattening the
    Tower of Babel that the authors of various programs for manipulating
    GPS data have imposed upon us, it returns to us the ability to
    freely move our own waypoint data between the programs and hardware
    we choose to use.

GPSBabel supports 96 various GPS related data formats. In addition to file
conversion it supports upload and download to a number of serial and USB
devices. This module provides a (thin) wrapper around the gpsbabel binary
making it easier to use in a perlish way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 511875
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 367561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 tv <tv> 0.110.0-1.mga1
+ Revision: 79599
- imported package perl-GPS-Babel


* Fri Apr 01 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
